KSYMS(1)

NAME
ksyms - display exported kernel symbols.

SYNOPSIS
ksyms [ -a ] [ -h ] [ -m ]

DESCRIPTION
Ksyms shows information about exported kernel symbols. The format is address, name, and defining module.

  OPTIONS

-a  Display all symbols. By default, symbols from the kernel proper are suppressed.

-h  Suppress the column header.

-m  Display module information. Includes each module's kernel load address and size in the listing.

SEE ALSO
insmod(1), modprobe(1), depmod(1), rmmod(1), lsmod(1), modules(2)

HISTORY
The ksyms command was first concieved by Bjorn Ekwall <bj0rn@blox.se>
The '-m' option was inspired by David Hinds <dhinds@allegro.stanford.edu>
Updated for 2.1.17 by Richard Henderson <rth@tamu.edu>